Skip to main content

Create a Line Item

POST 

/invoices/:invoice_id/items

Creates an item to be added to a draft invoice.

Request

Path Parameters

    invoice_id uuidrequired

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    Invoice's ID

Body

required

    description stringrequired

    Description of the line item

    quantity integerrequired

    Possible values: >= 1

    Quantity. The total will be calculated by multiplying the quantity and the unit_amount

    unit_amount

    object

    required

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

Responses

Invoice updated successfully

Schema

    status string

    Possible values: [success]

    code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

Loading...